Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.behavior
Class ClientBehaviorContext.Parameter

    java.lang.Object
      javax.faces.component.behavior.ClientBehaviorContext.Parameter

Enclosing class:
  ClientBehaviorContext

    public static class ClientBehaviorContext.Parameter

extends java.lang.Object

Parameter instances represent name/value pairs that "submitting" ClientBehavior implementations should include when posting back into the Faces lifecycle. ClientBehavior implementations can determine which Parameters to include by calling ClientBehaviorContext.getParameters().

Since:
  2.0

Constructor Summary
`ClientBehaviorContext.Parameter(java.lang.String name, java.lang.Object value)` Creates a Parameter instance.

Method Summary
`java.lang.String` | `getName()` Returns the Parameter's name.
`java.lang.Object` | `getValue()` Returns the Parameter's value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientBehaviorContext.Parameter

    public ClientBehaviorContext.Parameter(java.lang.String name,
                                           java.lang.Object value)

  Creates a Parameter instance.

  Parameters:
    `name` - the name of the parameter
    `value` - the value of the parameter
  Throws:
    `java.lang.NullPointerException` - if `name` is null.
  Since:
    2.0

Method Detail

### getName

    public java.lang.String getName()

  Returns the Parameter's name.

  Since:
    2.0

### getValue

    public java.lang.Object getValue()

  Returns the Parameter's value.

  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.